Package org.apache.sysds.runtime.io

## Class WriterHDF5Parallel

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixWriter
  - - org.apache.sysds.runtime.io.WriterHDF5
    - - org.apache.sysds.runtime.io.WriterHDF5Parallel

    public class WriterHDF5Parallel
    extends WriterHDF5

### Constructor Summary

Constructors
`WriterHDF5Parallel​(FileFormatPropertiesHDF5 _props)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeHDF5MatrixToHDFS​(org.apache.hadoop.fs.Path path, org.apache.hadoop.mapred.JobConf job, org.apache.hadoop.fs.FileSystem fs, MatrixBlock src)`

### Methods inherited from class org.apache.sysds.runtime.io.WriterHDF5

`writeEmptyMatrixToHDFS, writeMatrixToHDFS`

### Methods inherited from class org.apache.sysds.runtime.io.MatrixWriter

`createMatrixBlocksForReuse, getMatrixBlockForReuse, setForcedParallel, writeMatrixToHDFS`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriterHDF5Parallel

    public WriterHDF5Parallel​(FileFormatPropertiesHDF5 _props)

### Method Detail

#### writeHDF5MatrixToHDFS

    public void writeHDF5MatrixToHDFS​(org.apache.hadoop.fs.Path path,
                                      org.apache.hadoop.mapred.JobConf job,
                                      org.apache.hadoop.fs.FileSystem fs,
                                      MatrixBlock src)
                               throws IOException,
                                      DMLRuntimeException

Throws:
  `IOException`
  `DMLRuntimeException`